mkdir -p gen
protoc -I=protocol -I=googleapis --go_out=module=github.com/tronprotocol/grpc-gateway:gen protocol/core/contract/*.proto
protoc -I=protocol -I=googleapis --go_out=paths=source_relative:gen protocol/core/*.proto
protoc \
  -I=protocol \
  -I=googleapis \
  --go_out=paths=source_relative:gen \
  --go-grpc_out=paths=source_relative:gen \
  --go_opt=Mcore/Tron.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/Tron.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/account_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/asset_issue_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/balance_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/common.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/exchange_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/market_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/proposal_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/shield_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/smart_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/storage_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/vote_asset_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go_opt=Mcore/contract/witness_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/account_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/asset_issue_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/balance_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/common.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/exchange_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/market_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/proposal_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/shield_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/smart_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/storage_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/vote_asset_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  --go-grpc_opt=Mcore/contract/witness_contract.proto=gitea.capitan.black/public/gotron/gen/core \
  protocol/api/*.proto
